SINGULARITY(1)

NAME
singularity - Singularity containers command line interface

DESCRIPTION
Linux container platform optimized for High Performance Computing (HPC) and Enterprise Performance Computing (EPC)

  Usage:

    singularity [global options...]

  Description:

    Singularity containers provide an application virtualization layer enabling mobility of compute via both application and environment portability. With Singularity one is capable of building a root file system that runs on any other Linux system where Singularity is installed.

OPTIONS

-c, --config string
    specify a configuration file (for root or unprivileged installation only) (default "/etc/singularity/singularity.conf")

-d, --debug
    print debugging information (highest verbosity)

-h, --help
    help for singularity

--nocolor
    print without color output (default False)

-q, --quiet
    suppress normal output

-s, --silent
    only print errors

-v, --verbose
    print additional information

--version
    version for singularity

  Available Commands:

build
    Build a Singularity image

cache
    Manage the local cache

capability
    Manage Linux capabilities for users and groups

completion
    Generate the autocompletion script for the specified shell

config
    Manage various singularity configuration (root user only)

delete
    Deletes requested image from the library

exec
    Run a command within a container

help
    Help about any command

inspect
    Show metadata for an image

instance
    Manage containers running as services

key Manage OpenPGP keys

keyserver
    Manage singularity keyservers

oci Manage OCI containers

overlay
    Manage an EXT3 writable overlay image

plugin
    Manage Singularity plugins

pull
    Pull an image from a URI

push
    Upload image to the provided URI

registry
    Manage authentication to OCI/Docker registries

remote
    Manage singularity remote endpoints

run Run the user-defined default command within a container

run-help
    Show the user-defined help for an image

search
    Search a Container Library for images

shell
    Run a shell within a container

sif Manipulate Singularity Image Format (SIF) images

sign
    Add digital signature(s) to an image

test
    Run the user-defined tests within a container

verify
    Verify digital signature(s) within an image

version
    Show the version for Singularity

EXAMPLES

    $ singularity help <command> [<subcommand>]
    $ singularity help build
    $ singularity help instance start

For additional help or support, please visit https://www.sylabs.io/docs/